Download it now!
Bug 126007 - "Help" button in "AutoCorrect" dialog doesn't open relevant help entry
Summary: "Help" button in "AutoCorrect" dialog doesn't open relevant help entry
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.2.8 target:6.3.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-19 16:34 UTC by Mike Kaganski
Modified: 2019-08-29 04:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-06-19 16:34:23 UTC
Version: 6.2.4.2 (x64)
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

In Writer, Tools->AutoCorrect->AutoCorrect Options; click Help button (or F1) brings to https://help.libreoffice.org/6.2/en-US/text/swriter/main0000.html, instead of https://help.libreoffice.org/6.2/en-US/text/shared/01/06040000.html.
Comment 1 Jacques Guilleron 2019-06-20 15:49:34 UTC
Hi Mike,

I reproduce too with
LO  6.4.0.0.alpha0+ (x86) Build ID: 11a1bdc5fa0312111ddf9c1b7779a114b97e361c
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL
but not with
LO 6.2.0.0.alpha0+ Build ID: 1aa37aa6bee19099b57555a6d839992b054aa405
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-23_10:17:54
Locale: fr-FR (fr_FR); Calc: threaded
Where II get the next address:
https://help.libreoffice.org/6.2/en-US/text/shared/01/06040200.html?System=WIN&DbPAR=WRITER&HID=cui/ui/acorreplacepage/origtext#bm_id1574449

Noticed this problem is also present for all aprications where "AutoCorret Options..." are availables.  

Jacques
Comment 2 Aron Budea 2019-06-21 10:47:28 UTC
Bibisected to the following commit using repo bibisect-linux-64-6.2. Adding Cc: to Caolán McNamara, please take a look.
https://cgit.freedesktop.org/libreoffice/core/commit/?id=90586b8ad2c6b2329508747a87d2eb51edd98c28
author		Caolán McNamara <caolanm@redhat.com>	2018-12-03 16:27:28 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-12-04 20:57:43 +0100

weld OfaAutoCorrDlg
Comment 3 Aron Budea 2019-06-21 11:06:17 UTC
(In reply to Aron Budea from comment #2)
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=90586b8ad2c6b2329508747a87d2eb51edd98c28
This is a backported commit, same in master:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=486268cc87907a399649bd4612078031dce262d4
Comment 4 Commit Notification 2019-08-16 07:18:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/34e83dd95260d534464ff9a61eddefdde136013c%5E%21

tdf#126007 tdf#122355 online help won't look into a dialog notebook

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-08-16 14:09:53 UTC
I think this is fixed now in master, with backports to 6-3 and 6-2 in gerrit
Comment 6 Xisco Faulí 2019-08-19 10:14:12 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 7 Commit Notification 2019-08-29 04:18:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8ec2af41a40b56155c50329417459749dbdf5af8%5E%21

tdf#126007 tdf#122355 online help won't look into a dialog notebook

It will be available in 6.2.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-08-29 04:19:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/d781aec2ae62e59bb71b05904b240586b6c899dd%5E%21

tdf#126007 tdf#122355 online help won't look into a dialog notebook

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.